//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
   TLabel *Label1;
   TComboBox *ComboBox1;
   TLabel *Label2;
   TLabel *Label4;
   TLabel *Label5;
   TButton *Button1;
   TComboBox *ComboBox2;
   TComboBox *ComboBox4;
   TLabel *Label8;
   TLabel *Label3;
   TComboBox *ComboBox3;
   TComboBox *ComboBox5;
   void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
   int KtoryWyraz(int);
   int JakaTablica(int);
   void ZapiszWynik(int wyraz,int wynik, int ktory);
   void ZapiszTablice(int*,int,int);
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
double GetTime();
unsigned long Fib(int);
void Sortuj(int**,int);

#endif
